[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFPList.GetEnumerator

Create an IEnumerator instance

## Declaration

Source position: classesh.inc line 256

`public function TFPList.GetEnumerator: TFPListEnumerator;`

## Description

GetEnumerator is the implementation of the IEnumerable interface for TFPList. It creates a TFPListEnumerator instance and returns it's IEnumerator interface.

## See also

TFPListEnumerator |  | Implements IEnumerator for the TFPList class.
IEnumerator |  | Enumerator support interface
IEnumerable |  | Interface to retrieve an enumerator from a class.

Documentation generated on: Feb 26 2014